# Custom Maps (ML2.3+)
Version 1.8.0, uploaded by Maranara into category code
Original File Name: CustomMaps1.8.zip

Original mod created by Herp Derpenstine and Someone Somewhere! Features from 1.3 onward are made by me, Maranara, with cleanup help from Trev.

## Dependencies
ModThatIsNotMod
(HEAVILY RECOMMENDED, NOT REQUIRED) Custom Map Interactions

NEW Custom Map Guide: https://bit.ly/CustomMapGuide

## How To Use

0. Install the latest version of MelonLoader.
1. Install the required mods (Dependencies) provided on Thunderstore.
	a. ModThatIsNotMod
        c. (HEAVILY RECOMMENDED, NOT REQUIRED) Custom Map 
        Interactions
2. Install Custom Maps by dragging the .dll into your BONEWORKS/Mods folder.
3. Launch BONEWORKS once, let it run to the Main Menu and then exit the game right after.
4. Download any maps you want on Thunderstore, in the Custom Maps category.
5. To use the maps, drag the .bcm into the CustomMaps folder inside of UserData. UserData is a folder inside of your BONEWORKS directory,
the place where BONEWORKS.exe is located. 
6. Launch the game once again. Open your spawn menu and spawn the Utility Gun. You can select the Custom Map you want from the SPAWNABLES category. Once you select the map you want,
spawn it.
7. Step onto the platform and it will begin to load your custom map.

## Changelog

## 1.8.1
+ Fixed README.md
+ Thunderstore compatibility

## 1.8.0
+ Upon loading a map, it now force-loads the Blank Box scene and deletes the Blank Box geometry.
+ The KeepGadgets modpref will prevent Custom Maps from deleting the gadgets in Blank Box, such as the Health Machine.
+ Upon teleporting, the player's velocity is now set to 0.
+ Maps are now able to override fog with ValveFog. Δ
+ Maps are now able to prevent enemies from agroe-ing each other. Δ
+ Maps are now able to place Monomats with custom set prices. Δ
+ Added support for dummy audio mixers instead of using MAP_SFX/MAP_MUSIC. Δ
* Dummy shader optimizations made now with the requirement of the BMT.
* Fixed inconsistent respawning.
* Optimized audio mixer finding.
* Changed the Spawngun Portal to be more lightweight and simpler to use.
- All cleanup functions now removed due to force-loading BlankBox.
- Old loading method, using OpenVR, removed due to force-loading BlankBox.

Δ Map makers - view the Custom Map Guide if you're wondering how to use these features.

Older changes logged at https://bit.ly/CustomMapGuide.